﻿using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Variables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class LocalIPSettlementService : IChargeService
    {

        /// <summary>
        /// 收费
        /// </summary>
        public string Charge(string operationType, JObject joInput)
        {
            Global.pat.admType = 2;
            Global.pat.RYorCY = "2";

            ProcessManager pManager = new ProcessManager()
            .Add(new IPPreSettlementProcess())
            // 结算
            .Add(new IPSettlementProcess(joInput));
            // 执行
            return pManager.Run(joInput);
        }

        public string DisCharge(JObject joParam)
        {
            ProcessManager pManager = new ProcessManager()
               // 查询结算信息
               .Add(new IPQuerySettlementProcess())
               // 撤销出院
               .Add(new InpatientExitCancelProcess())
               // 结算撤销 
               .Add(new IPSettlementCancelProcess(joParam));

            // 执行
            return pManager.Run(joParam);
        }
    }
}
