﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    // 结算并办理出院手续。
    public class OuthospRequest
    {
        /// <summary>
        /// 病历号
        /// </summary>
        public string p_blh { get; set; }
        /// <summary>
        /// 治疗方式
        /// </summary>
        public string p_zlfs { get; set; }
        /// <summary>
        /// 出院方式
        /// </summary>
        public string p_cyfs { get; set; }
        /// <summary>
        /// 出院诊断
        /// </summary>
        public string p_cyzd { get; set; }
        /// <summary>
        /// 出院日期
        /// </summary>
        public DateTime p_cyrq { get; set; }
        /// <summary>
        /// 卡号
        /// </summary>
        public string p_kh { get; set; }
        /// <summary>
        /// 是否需要出院单
        /// </summary>
        public string p_needcyd { get; set; }
        /// <summary>
        /// 个人账户支付
        /// </summary>
        public decimal p_grzhzf { get; set; }
        /// <summary>
        /// 生育并发症
        /// </summary>
        public string p_sybfz { get; set; }
        /// <summary>
        /// 计划生育手术类别
        /// </summary>
        public string p_jhsysslb { get; set; }
        /// <summary>
        /// 预产期（计生手术时间）
        /// </summary>
        public DateTime p_ycq { get; set; }
        /// <summary>
        /// 怀孕时间
        /// </summary>
        public DateTime p_hysj { get; set; }
        /// <summary>
        /// 生育胎次
        /// </summary>
        public int p_sytc { get; set; }
        /// <summary>
        /// 胎儿个数
        /// </summary>
        public int p_tegs { get; set; }
        /// <summary>
        /// 配偶姓名
        /// </summary>
        public string p_poxm { get; set; }
        /// <summary>
        /// 配偶身份证号码
        /// </summary>
        public string p_posfzhm { get; set; }
        /// <summary>
        /// 婴儿出生时间
        /// </summary>
        public DateTime p_yecssj { get; set; }
        /// <summary>
        /// 识别码
        /// </summary>
        public string p_sbm { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>
        public string p_ewm { get; set; }
        /// <summary>
        /// 家庭共济消费标志
        /// </summary>
        public string p_jtgjxfbz { get; set; }
        /// <summary>
        /// 生育合并症
        /// </summary>
        public string p_syhbz { get; set; }
        /// <summary>
        /// 出院诊断2
        /// </summary>
        public string p_cyzd2 { get; set; }
        /// <summary>
        /// 出院诊断3
        /// </summary>
        public string p_cyzd3 { get; set; }
        /// <summary>
        /// 出院诊断4
        /// </summary>
        public string p_cyzd4 { get; set; }
        /// <summary>
        /// 出院诊断5
        /// </summary>
        public string p_cyzd5 { get; set; }
        /// <summary>
        /// 出院诊断6
        /// </summary>
        public string p_cyzd6 { get; set; }
        /// <summary>
        /// 出院诊断7
        /// </summary>
        public string p_cyzd7 { get; set; }
        /// <summary>
        /// 出院诊断8
        /// </summary>
        public string p_cyzd8 { get; set; }
        /// <summary>
        /// 出院诊断9
        /// </summary>
        public string p_cyzd9 { get; set; }
        /// <summary>
        /// 医疗政策标识
        /// </summary>
        public string p_ylzcbs { get; set; }
        /// <summary>
        /// 现病史
        /// </summary>
        public string p_xbs { get; set; }
        /// <summary>
        /// 婚育史
        /// </summary>
        public string p_yhs { get; set; }
        /// <summary>
        /// 诊疗经过
        /// </summary>
        public string p_zljg { get; set; }
        /// <summary>
        /// 入院情况
        /// </summary>
        public string p_ryqk { get; set; }
        /// <summary>
        /// 出院情况
        /// </summary>
        public string p_cyqk { get; set; }
        /// <summary>
        /// 出院医嘱
        /// </summary>
        public string p_cyyz { get; set; }
    }

    public class OuthospResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }
        /// <summary>
        /// 医保系统的病人结算号
        /// </summary>
        public string jshid { get; set; }
        /// <summary>
        /// 病人负担金额
        /// </summary>
        public decimal brfdje { get; set; }
        /// <summary>
        /// 医保负担金额
        /// </summary>
        public decimal ybfdje { get; set; }
        /// <summary>
        /// 医院负担金额
        /// </summary>
        public decimal yyfdje { get; set; }
        /// <summary>
        /// 医疗补助金额
        /// </summary>
        public decimal ylbzje { get; set; }
        /// <summary>
        /// 个人账户支付
        /// </summary>
        public decimal grzhzf { get; set; }
        /// <summary>
        /// 发票号
        /// </summary>
        public string fph { get; set; }
        /// <summary>
        /// 病人结算日期
        /// </summary>
        public DateTime brjsrq { get; set; }
        /// <summary>
        /// 其他病人结算号
        /// </summary>
        public string qtbrjsh { get; set; }
        /// <summary>
        /// 超过限价金额
        /// </summary>
        public decimal cgxjje { get; set; }
        /// <summary>
        /// 本次起付线
        /// </summary>
        public decimal bcqfx { get; set; }
        /// <summary>
        /// 本次进入统筹额度
        /// </summary>
        public decimal bcnrtcfw { get; set; }
        /// <summary>
        /// 本年进入统筹额度
        /// </summary>
        public decimal bnynrtcfw { get; set; }
        /// <summary>
        /// 其他统筹支付
        /// </summary>
        public decimal qttczf { get; set; }
        /// <summary>
        /// 省属离休人员超标床位费
        /// </summary>
        public decimal cbcwf { get; set; }
        /// <summary>
        /// 优抚对象减免金额
        /// </summary>
        public decimal jmje { get; set; }
        /// <summary>
        /// 本年统筹累计支付金额
        /// </summary>
        public decimal bntczfje { get; set; }
        /// <summary>
        /// 本年住院次数
        /// </summary>
        public int bnzycs { get; set; }
        /// <summary>
        /// 财政列支
        /// </summary>
        public decimal czlz { get; set; }
        /// <summary>
        /// 大额支付
        /// </summary>
        public decimal dezf { get; set; }
        /// <summary>
        /// 公务员补助
        /// </summary>
        public decimal gwybz { get; set; }
        /// <summary>
        /// 统筹支付
        /// </summary>
        public decimal tczf { get; set; }
        /// <summary>
        /// 总金额
        /// </summary>
        public decimal zje { get; set; }
        /// <summary>
        /// 发票人员类别
        /// </summary>
        public string fprylb { get; set; }
        /// <summary>
        /// 大病补助金额
        /// </summary>
        public decimal dbbzje { get; set; }
        /// <summary>
        /// 医疗机构减免
        /// </summary>
        public decimal fpryyljgjm { get; set; }
        /// <summary>
        /// 商业兜底
        /// </summary>
        public decimal pkrkbcbxje { get; set; }
        /// <summary>
        /// 民政补助金额
        /// </summary>
        public decimal mzbzje { get; set; }
        /// <summary>
        /// 民政优抚
        /// </summary>
        public decimal yfbzy { get; set; }
        /// <summary>
        /// 贫困人口再救助
        /// </summary>
        public decimal pkryzjzje { get; set; }
        /// <summary>
        /// 职工补充支付
        /// </summary>
        public decimal bczf { get; set; }
        /// <summary>
        /// 暂缓支付
        /// </summary>
        public decimal zhzf { get; set; }
        /// <summary>
        /// 家庭账户消费金额
        /// </summary>
        public decimal gjzhxfje { get; set; }
        /// <summary>
        /// 结算单
        /// </summary>
        public string report { get; set; }
        /// <summary>
        /// 部分支付
        /// </summary>
        public decimal bfzf { get; set; }
        /// <summary>
        /// 医疗减免金额
        /// </summary>
        public decimal yljmje { get; set; }
        /// <summary>
        /// 核酸检测财政补助金额
        /// </summary>
        public decimal xgfyhsjcczbz { get; set; }
        /// <summary>
        /// 齐鲁保报销金额
        /// </summary>
        public decimal hmbbxje { get; set; }
        /// <summary>
        /// 省异地个人账户支付
        /// </summary>
        public decimal sydgrzhzf { get; set; }
    }
    }
