﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 打印入院通知单print_rytzd的请求参数
    /// </summary>
    public class PrintRytzdRequest
    {
        /// <summary>
        /// 病历号
        /// </summary>
        public string p_blh { get; set; }
    }

    /// <summary>
    /// 打印结算单print_jsd的请求参数
    /// </summary>
    public class PrintJsdRequest
    {
        /// <summary>
        /// 病人结算号
        /// </summary>
        public string p_jshid { get; set; }
    }

    /// <summary>
    /// 打印出院单print_cyd的请求参数
    /// </summary>
    public class PrintCydRequest
    {
        /// <summary>
        /// 病历号
        /// </summary>
        public string p_blh { get; set; }

        /// <summary>
        /// 住院流水号
        /// </summary>
        public string p_zylsh { get; set; }
    }

    /// <summary>
    /// 打印门诊结算发票print_jsfp的请求参数
    /// </summary>
    public class PrintJsfpRequest
    {
        /// <summary>
        /// 病人结算号
        /// </summary>
        public string p_jshid { get; set; }
    }

    /// <summary>
    /// 打印住院自费明细单print_zyzfmxd的请求参数
    /// </summary>
    public class PrintZyzfmxdRequest
    {
        /// <summary>
        /// 住院流水号
        /// </summary>
        public string p_zylsh { get; set; }

        /// <summary>
        /// 打印选项，1:只打印非全额统筹项目,2:只打印目录外项目。 不传时默认为“1”。
        /// </summary>
        public string p_dyxx { get; set; }
    }

    /// <summary>
    /// 打印接口返回结果
    /// </summary>
    public class PrintResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }

        /// <summary>
        /// 入院通知单，返回Base64编码的pdf格式
        /// </summary>
        public string report { get; set; }
    }
}
