﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 查询医院操作人员在某个时间段的门诊结算信息query_mzdz的请求参数
    /// </summary>
    public class QueryMzdzRequest
    {
        /// <summary>
        /// 操作员编号
        /// </summary>
        public string p_czybh { get; set; }

        /// <summary>
        /// 起始日期
        /// </summary>
        public DateTime p_qsrq { get; set; }

        /// <summary>
        /// 终止日期
        /// </summary>
        public DateTime p_zzrq { get; set; }

        /// <summary>
        /// 个人编号
        /// </summary>
        public string p_grbh { get; set; }

        /// <summary>
        /// 门诊类别，1:全部,2:门诊慢性病,3:普通门诊统筹,4:普通门诊个账，不传默认为1
        /// </summary>
        public string p_mzlb { get; set; }

        /// <summary>
        /// 病人结算号
        /// </summary>
        public string p_jshid { get; set; }

        /// <summary>
        /// 院区编号
        /// </summary>
        public string p_campusid { get; set; }
    }

    /// <summary>
    /// 查询医院操作人员在某个时间段的门诊结算信息query_mzdz的返回结果
    /// </summary>
    public class QueryMzdzResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }

        /// <summary>
        /// 门诊对账信息数据集
        /// </summary>
        public List<MzdzDs> mzdz_ds { get; set; }
    }

    /// <summary>
    /// 门诊对账信息类
    /// </summary>
    public class MzdzDs
    {
        /// <summary>
        /// 病历号
        /// </summary>
        public string blh { get; set; }

        /// <summary>
        /// 病人结算号
        /// </summary>
        public string brjsh { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string xm { get; set; }

        /// <summary>
        /// 个人编号
        /// </summary>
        public string grbh { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        public string sfzhm { get; set; }

        /// <summary>
        /// 总金额
        /// </summary>
        public double zje { get; set; }

        /// <summary>
        /// 操作员编号
        /// </summary>
        public string czybh { get; set; }

        /// <summary>
        /// 医保负担金额
        /// </summary>
        public double ybfdje { get; set; }

        /// <summary>
        /// 病人负担金额
        /// </summary>
        public double brfdje { get; set; }

        /// <summary>
        /// 个人账户支付
        /// </summary>
        public double grzhzf { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        public string czsj { get; set; }

        /// <summary>
        /// 门诊流水号
        /// </summary>
        public string mzzdlsh { get; set; }

        /// <summary>
        /// 撤销标志，0为正向消费，1为撤销。
        /// </summary>
        public string cxbz { get; set; }
    }
    }
