﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    /// <summary>
    /// 读取卡片信息,取得人员相关信息
    /// </summary>
    public class ReadCardRequest
    {
        /// <summary>
        /// 卡号
        /// </summary>
        public string p_kh { get; set; }
        /// <summary>
        /// 险种标志
        /// </summary>
        public string p_xzbz { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>
        public string p_ewm { get; set; }
        /// <summary>
        /// 医疗统筹类别
        /// </summary>
        public string p_yltclb { get; set; }
        /// <summary>
        /// 普通门诊刷卡标志
        /// </summary>
        public string p_ptmzskbz { get; set; }
        /// <summary>
        /// 日期
        /// </summary>
        public string p_rq { get; set; }
        /// <summary>
        /// 电子医保凭证业务码
        /// </summary>
        public string p_dzpzywm { get; set; }
        /// <summary>
        /// 是否联网医院互
        /// </summary>
        public string p_sfhlwyy { get; set; }
    }

    public class ReadCardResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }
        /// <summary>
        /// 个人编号
        /// </summary>
        public string grbh { get; set; }
        /// <summary>
        /// 卡号
        /// </summary>
        public string kh { get; set; }
        /// <summary>
        /// 人群类别
        /// </summary>
        public string rqlb { get; set; }
        /// <summary>
        /// 门诊大病备注
        /// </summary>
        public string mzdbbz { get; set; }
        /// <summary>
        /// 疾病编码
        /// </summary>
        public string mzdbjbs { get; set; }
        /// <summary>
        /// 社保机构编号
        /// </summary>
        public string sbjgbh { get; set; }
        /// <summary>
        /// 身份证号码
        /// </summary>
        public string sfzhm { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        public string xm { get; set; }
        /// <summary>
        /// 账户余额
        /// </summary>
        public decimal zhye { get; set; }
        /// <summary>
        /// 灰名单标志
        /// </summary>
        public string zfbz { get; set; }
        /// <summary>
        /// 灰名单原因
        /// </summary>
        public string zfsm { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public string xb { get; set; }
        /// <summary>
        /// 转出医院名称
        /// </summary>
        public string zcyymc { get; set; }
        /// <summary>
        /// 异地标志
        /// </summary>
        public string ydbz { get; set; }
        /// <summary>
        /// 转出出院日期
        /// </summary>
        public DateTime zccyrq { get; set; }
        /// <summary>
        /// 补充人员类别
        /// </summary>
        public string bcrlylb { get; set; }
        /// <summary>
        /// 出生日期
        /// </summary>
        public DateTime csrq { get; set; }
        /// <summary>
        /// 单位名称
        /// </summary>
        public string dwmc { get; set; }
        /// <summary>
        /// 门诊定点标志
        /// </summary>
        public string mzddbz { get; set; }
        /// <summary>
        /// 门诊定点说明
        /// </summary>
        public string mzddsm { get; set; }
        /// <summary>
        /// 优抚对象标志
        /// </summary>
        public string yfdxbz { get; set; }
        /// <summary>
        /// 优抚对象人员类别
        /// </summary>
        public string yfdxlb { get; set; }
        /// <summary>
        /// 医疗人员类别
        /// </summary>
        public string ylrylb { get; set; }
        /// <summary>
        /// 医疗人员类别代码
        /// </summary>
        public string ylrylbcode { get; set; }
        /// <summary>
        /// 救助人员类别
        /// </summary>
        public string jzrylb { get; set; }
        /// <summary>
        /// 贫困人口标志
        /// </summary>
        public string pkrkbz { get; set; }
        /// <summary>
        /// 单位性质名称
        /// </summary>
        public string dwxzmc { get; set; }
        /// <summary>
        /// 有无15(医保参数控制)天内的住院记录
        /// </summary>
        public string zhzybz { get; set; }
        /// <summary>
        /// 15(医保参数控制)天内的住院记录说明
        /// </summary>
        public string zhzysm { get; set; }
        /// <summary>
        /// 行政区划
        /// </summary>
        public string xzqh { get; set; }
        /// <summary>
        /// 社保卡异地标志
        /// </summary>
        public string sbkydbz { get; set; }
        /// <summary>
        /// 卡芯片账号
        /// </summary>
        public string kyhzh { get; set; }
        /// <summary>
        /// 令牌
        /// </summary>
        public string ectoken { get; set; }
        /// <summary>
        /// 工伤检查信息
        /// </summary>
        public string gsjcxx { get; set; }
        /// <summary>
        /// 家庭共济账户余额
        /// </summary>
        public decimal gjzhye { get; set; }
        /// <summary>
        /// 识别码
        /// </summary>
        public string sbm { get; set; }
        /// <summary>
        /// 参保地市编号
        /// </summary>
        public string cbdsbh { get; set; }
        /// <summary>
        /// 参保机构名称
        /// </summary>
        public string cbjgmc { get; set; }
    }
}
