﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Local
{
    // 保存病人的住院费用凭单信息。
    public class SaveZyScriptRequest
    {
        /// <summary>
        /// 病历号
        /// </summary>
        public string p_blh { get; set; }
        /// <summary>
        /// 医师编码
        /// </summary>
        public string p_ysbm { get; set; }
        /// <summary>
        /// 费用发生日期
        /// </summary>
        public DateTime p_date { get; set; }
        /// <summary>
        /// 费用信息
        /// </summary>
        public List<FyxxDs> p_fyxx_ds { get; set; }

        public class FyxxDs
        {
            /// <summary>
            /// 医院项目编码
            /// </summary>
            public string yyxmbm { get; set; }
            /// <summary>
            /// 单价
            /// </summary>
            public decimal dj { get; set; }
            /// <summary>
            /// 数量
            /// </summary>
            public decimal sl { get; set; }
            /// <summary>
            /// 总金额
            /// </summary>
            public decimal zje { get; set; }
            /// <summary>
            /// 开单科室编码
            /// </summary>
            public string kdksbm { get; set; }
            /// <summary>
            /// 执行科室编码
            /// </summary>
            public string zxksbm { get; set; }
            /// <summary>
            /// 自付比例
            /// </summary>
            public decimal sxzfbl { get; set; }
            /// <summary>
            /// 费用发生时间
            /// </summary>
            public DateTime fysfsj { get; set; }
            /// <summary>
            /// 医院项目名称
            /// </summary>
            public string yyxmmc { get; set; }
            /// <summary>
            /// 医嘱流水号
            /// </summary>
            public string yzlsh { get; set; }
            /// <summary>
            /// 收费人员姓名
            /// </summary>
            public string sfryxm { get; set; }
            /// <summary>
            /// 用药天数
            /// </summary>
            public int yyts { get; set; }
            /// <summary>
            /// 用药说明
            /// </summary>
            public string yysm { get; set; }
            /// <summary>
            /// 大包装的小包装数量
            /// </summary>
            public decimal bzsl { get; set; }
            /// <summary>
            /// 规格
            /// </summary>
            public string gg { get; set; }
            /// <summary>
            /// 费用明细说明
            /// </summary>
            public string fybclb { get; set; }
            /// <summary>
            /// 给药途径
            /// </summary>
            public string gytj { get; set; }
            /// <summary>
            /// 单次用量
            /// </summary>
            public decimal dcyl { get; set; }
            /// <summary>
            /// 用药频次
            /// </summary>
            public string yypc { get; set; }
        }
    }

    public class SaveZyScriptResponse
    {
        /// <summary>
        /// 执行代码
        /// </summary>
        public string resultcode { get; set; }
        /// <summary>
        /// 费用凭单号
        /// </summary>
        public string fyid { get; set; }
    }
}
